API Reference
Session briefing over an explicit selector (mirrors the MCP briefing tool)
GET
/
api
/
v1
/
briefing
Session briefing over an explicit selector (mirrors the MCP briefing tool)
curl --request GET \
--url https://api.3ngram.ai/api/v1/briefing \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.3ngram.ai/api/v1/briefing"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.3ngram.ai/api/v1/briefing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blockers": {
"count": 4503599627370495,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"topic": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"commitments": {
"count": 4503599627370495,
"items": [
{
"dueAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overdue": true,
"topic": "<string>"
}
]
},
"generatedAt": "2023-11-07T05:31:56Z",
"overdue": {
"count": 4503599627370495,
"items": [
{
"dueAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overdue": true,
"topic": "<string>"
}
]
},
"preferences": {
"count": 4503599627370495,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"topic": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"recentDecisions": {
"count": 4503599627370495,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"topic": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"selector": {
"kind": "<string>"
},
"staleCandidates": {
"count": 4503599627370495,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"topic": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}Authorizations
apiKeysessionBearer
Query Parameters
Available options:
all, scope, project Required string length:
1 - 64Pattern:
^[a-z0-9][a-z0-9-]*$Required string length:
1 - 256Available options:
brief, full Response
200 - application/json
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
brief, full Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Self-serve account deletion: erase PII in place and revoke credentials (GDPR Art. 17 erasure)
Previous
The caller's current budget status (effective cap + spend this cycle)
Next
⌘I
Session briefing over an explicit selector (mirrors the MCP briefing tool)
